Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package cmd
  Definition Classes
    tools
-  trait Reference extends Spec

  Mixes in the specification trait and uses the vals therein to side-effect private accumulators.

  Mixes in the specification trait and uses the vals therein to side-effect private accumulators. From this emerges formatted help, lists of unary and binary arguments, an apply which can creates instances of the specification, and etc.

  Definition Classes
    cmd
  See also

    Instance

- SpecCommandLine
- ThisCommandLine

c

scala.tools.cmd.Reference

# SpecCommandLine 

###

#### class SpecCommandLine extends CommandLine

Source
  Reference.scala

Linear Supertypes
CommandLine, CommandLineConfig, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpecCommandLine
2. CommandLine
3. CommandLineConfig
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SpecCommandLine(args: List[String])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SpecCommandLine to any2stringadd[SpecCommandLine] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SpecCommandLine, B)
   Implicit
     This member is added by an implicit conversion from SpecCommandLine to ArrowAssoc[SpecCommandLine] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val Terminator: String
   Definition Classes
     CommandLine
7.  val ValueForUnaryOption: String
   Definition Classes
     CommandLine
8.  def apply(arg: String): String
   Definition Classes
     CommandLine
9.  lazy val argMap: Map[String, String]

   argMap is option -> argument (or "" if it is a unary argument) residualArgs are what is left after removing the options and their args.

   argMap is option -> argument (or "" if it is a unary argument) residualArgs are what is left after removing the options and their args.

   Definition Classes
     CommandLine
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def enforceArity: Boolean
    Definition Classes
      CommandLineConfig
13.  def ensuring(cond: (SpecCommandLine) ⇒ Boolean, msg: ⇒ Any): SpecCommandLine
    Implicit
      This member is added by an implicit conversion from SpecCommandLine to Ensuring[SpecCommandLine] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (SpecCommandLine) ⇒ Boolean): SpecCommandLine
    Implicit
      This member is added by an implicit conversion from SpecCommandLine to Ensuring[SpecCommandLine] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: ⇒ Any): SpecCommandLine
    Implicit
      This member is added by an implicit conversion from SpecCommandLine to Ensuring[SpecCommandLine] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): SpecCommandLine
    Implicit
      This member is added by an implicit conversion from SpecCommandLine to Ensuring[SpecCommandLine] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  def errorFn(msg: String): Unit
    Definition Classes
      CommandLine
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SpecCommandLine to StringFormat[SpecCommandLine] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  def get(arg: String): Option[String]
    Definition Classes
      CommandLine
23.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
24.  def getOrElse(arg: String, orElse: ⇒ String): String
    Definition Classes
      CommandLine
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  def isSet(arg: String): Boolean
    Definition Classes
      CommandLine
28.  def mapForUnary(opt: String): Map[String, String]
    Definition Classes
      CommandLine
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
32.  def onlyKnownOptions: Boolean
    Definition Classes
      CommandLineConfig
33.  val originalArgs: List[String]
    Definition Classes
      CommandLine
34.  lazy val residualArgs: List[String]

    argMap is option -> argument (or "" if it is a unary argument) residualArgs are what is left after removing the options and their args.

    argMap is option -> argument (or "" if it is a unary argument) residualArgs are what is left after removing the options and their args.

    Definition Classes
      CommandLine
35.  val spec: Reference
    Definition Classes
      CommandLine
36.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      CommandLine → AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  def →[B](y: B): (SpecCommandLine, B)
    Implicit
      This member is added by an implicit conversion from SpecCommandLine to ArrowAssoc[SpecCommandLine] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CommandLine

### Inherited from CommandLineConfig

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SpecCommandLine to any2stringadd[SpecCommandLine]

### Inherited by implicit conversion StringFormat from SpecCommandLine to StringFormat[SpecCommandLine]

### Inherited by implicit conversion Ensuring from SpecCommandLine to Ensuring[SpecCommandLine]

### Inherited by implicit conversion ArrowAssoc from SpecCommandLine to ArrowAssoc[SpecCommandLine]

### Ungrouped